static int set_user(struct cred *new)
{
	struct user_struct *new_user;

	new_user = alloc_uid(new->uid);
	if (!new_user)
		return -EAGAIN;

	free_uid(new->user);
	#ifdef CONFIG_CREDP
	iee_set_cred_user(new,new_user);
	#else
	new->user = new_user;
	#endif
	return 0;
}